package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.controller.CustomerRelatedController;
import com.huigou.topsun.customer.domain.CustomerRelated;
import com.huigou.topsun.customer.domain.query.CustomerRelatedQueryRequest;
import com.huigou.topsun.customer.domain.vo.CustomerRelatedVo;

import java.util.List;
import java.util.Map;

/**
 * title:
 * author:ZHT
 * date:2023/12/19
 * description:
 */
public interface CustomerRelatedApplication {


    List<CustomerRelated> getCustomerRelatedList(String customerId);

    CustomerRelatedVo saveCustomerRelated(CustomerRelated customerRelated);

    void deleteCustomerRelated(List<String> ids);

    void deleteByCustomerId(String customerId);
}
